Summary: POSIX File System Archiver
Name: pax
Version: 3.4
Release: %mkrel 22
License: BSD
URL:	ftp://ftp.suse.com/pub/people/kukuk/pax/
Group: Archiving/Backup
Source: ftp://ftp.suse.com/pub/people/kukuk/pax/%{name}-%{version}.tar.bz2
#do not fail with gcc-4.6+
Patch0: pax-gcc46.patch
Patch2: pax-glibc.patch
Patch3: pax-3.4-disable-Werror.patch
Patch4: pax-3.4-gcc10.patch
Patch5: pax-3.4-abs100.patch
Patch6: pax-3.4-rdtruncate.patch

Requires: common-licenses

%description
'pax' is the POSIX standard archive tool. It supports the two most
common forms of standard Unix archive (backup) files - CPIO and TAR.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%make_install

%files
%doc AUTHORS NEWS README THANKS
%{_bindir}/pax
%{_mandir}/man1/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 3.4-22.mga10
+ Revision: 2195711
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 3.4-21.mga9
+ Revision: 1792872
- Mageia 9 Mass Rebuild

* Mon Jun 29 2020 joequant <joequant> 3.4-20.mga8
+ Revision: 1600373
- add patches
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 3.4-18.mga8
+ Revision: 1515926
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 29 2018 umeabot <umeabot> 3.4-17.mga7
+ Revision: 1311199
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 3.4-16.mga7
+ Revision: 1239636
- add patch to fix build with glibc >= 2.27
+ kekepower <kekepower>
- Use make_install

* Mon Oct 09 2017 cjw <cjw> 3.4-15.mga7
+ Revision: 1170546
- patch1: fix build with gcc 7

* Mon Feb 01 2016 umeabot <umeabot> 3.4-14.mga6
+ Revision: 930415
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4-13.mga5
+ Revision: 750800
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4-12.mga5
+ Revision: 683356
- Mageia 5 Mass Rebuild

* Sun Mar 16 2014 wally <wally> 3.4-11.mga5
+ Revision: 604081
- rebuild for mga5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.4-10.mga3
+ Revision: 362471
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 neoclust <neoclust> 3.4-9.mga3
+ Revision: 334150
- Fix build with new gcc ( fedora )
+ dams <dams>
- clean specfile

* Sun Jan 23 2011 pterjan <pterjan> 3.4-8.mga1
+ Revision: 35291
- imported package pax


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.4-8mdv2011.0
+ Revision: 607078
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.4-7mdv2010.1
+ Revision: 520197
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.4-6mdv2010.0
+ Revision: 426358
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.4-5mdv2009.1
+ Revision: 351665
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.4-4mdv2009.0
+ Revision: 223442
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.4-3mdv2008.1
+ Revision: 179142
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 3.4-2mdv2008.0
+ Revision: 74314
- Import pax



* Fri Sep 01 2006 Stew Benedict <sbenedict@mandriva.com> 3.4-2mdv2007.0
- rebuild

* Thu Aug 18 2005 Stew Benedict <sbenedict@mandriva.com> 3.4-1mdk
- 3.4, drop gcc patch

* Fri Jun 03 2005 Stew Benedict <sbenedict@mandriva.com> 3.2-2mdk
- rebuild, patch for gcc4.0 (P0)

* Sat May 15 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 3.2-1mdk
- Release 3.2.

* Mon Jul 21 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.0-4mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT in the beginning of %%install

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0-3mdk
- rebuild for new glibc/rpm

* Mon Jul 22 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 3.0-2mdk
- use %%configure2_5x and %%makeinstall_std
- fix License: s/BSD/GPL/
- Requires: common-licenses
- add %%doc documentation (AUTHORS, NEWS, README, THANKS)

* Wed Apr 10 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.0-1mdk
- new "unbroken" version, courtesy of Thorsten Kukuk <kukuk@suse.de>

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5-3mdk
- rebuild to fix the "expected size" not matching the "actual size"

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- bzip2 sources & patches

* Sun Aug  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.5-1mdk
- borrowed RedHat SRPM - used by lsb-testsuite
